# Create 'Inspectionerrandprotocolsetting'

Endpoint: POST /errands/inspections/configurations/inspectionerrandprotocolsetting/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `show_faults` (boolean, required)

  - `name` (string, required)

  - `show_faults_descriptions` (boolean, required)

  - `custom_id` (string)

  - `show_logo` (object)

  - `show_logo.name` (string)
    wanted filename of the file

  - `show_logo.md5_hash` (string)
    base64 encoded md5hash of the file

  - `show_logo.get` (string)

  - `show_logo.post` (object)

  - `show_logo.post.url` (string)

  - `show_tenant_associations` (boolean, required)

  - `organization` (object)

  - `organization.id` (string)

  - `show_space_info` (boolean, required)

  - `include_attachment` (object)

  - `include_attachment.name` (string)
    wanted filename of the file

  - `include_attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `include_attachment.get` (string)

  - `include_attachment.post` (object)

  - `include_attachment.post.url` (string)

  - `show_checklists` (boolean, required)

  - `show_notes_images` (boolean, required)

  - `show_nominal_components` (boolean, required)

  - `show_notes` (boolean, required)

  - `show_responsible_parties` (boolean, required)

  - `show_component_conditions` (boolean, required)

  - `show_faults_images` (boolean, required)

  - `show_faults_action_proposals` (boolean, required)

  - `show_performers` (boolean, required)

## Response 201 fields (application/json):

  - `show_faults` (boolean, required)

  - `name` (string, required)

  - `show_faults_descriptions` (boolean, required)

  - `custom_id` (string)

  - `show_logo` (object)

  - `show_logo.name` (string)
    wanted filename of the file

  - `show_logo.md5_hash` (string)
    base64 encoded md5hash of the file

  - `show_logo.get` (string)

  - `show_logo.post` (object)

  - `show_logo.post.url` (string)

  - `show_tenant_associations` (boolean, required)

  - `organization` (object)

  - `organization.id` (string)

  - `show_space_info` (boolean, required)

  - `created_at` (string)

  - `include_attachment` (object)

  - `include_attachment.name` (string)
    wanted filename of the file

  - `include_attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `include_attachment.get` (string)

  - `include_attachment.post` (object)

  - `include_attachment.post.url` (string)

  - `show_checklists` (boolean, required)

  - `show_notes_images` (boolean, required)

  - `show_nominal_components` (boolean, required)

  - `show_notes` (boolean, required)

  - `show_responsible_parties` (boolean, required)

  - `show_component_conditions` (boolean, required)

  - `show_faults_images` (boolean, required)

  - `show_faults_action_proposals` (boolean, required)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `show_performers` (boolean, required)

